Bug 826066 - [eap6] Cannot Create Path Sub-Resources for HornetQ server
[eap6] Cannot Create Path Sub-Resources for HornetQ server
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 827636 833089 835697 835698 835702
  Show dependency treegraph
 
Reported: 2012-05-29 09:54 EDT by Stefan Negrea
Modified: 2013-09-01 06:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 835697 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:05:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-05-29 09:54:56 EDT
If I try to add Child resource for 'hornetq' typeof 'Path', resourceName I type in is ignored and new resource is always called 'journal-directory'. 

I was checking AS7 CLI and messaging schema found out that there are 4 possible path names, that can be added (in schema directoryType):

paging-directory
bindings-directory
journal-directory
large-messages-directory


Using CLI I can do this:

/subsystem=messaging/hornetq-server=default/path=paging-directory:add(path=/tmp)
{
    "outcome" => "success",
    "response-headers" => {
        "operation-requires-reload" => true,
        "process-state" => "reload-required"
    }
}

But I cannot do the same using JON, since resource-name is ignored and there's always passed 'journal-directory'


This applies only to the messaging subsystem for server and NOT to the messaging subsystem of deployments (eg: /deployment=test.war/subsystem=messaging). The messaging subsystem for deployments does not have Path children.
Comment 1 Charles Crouch 2012-05-29 10:03:35 EDT
(9:00:59 AM) ccrouch: do you think its critical?
(9:01:55 AM) stefan_n: I am not sure ...
(9:02:01 AM) stefan_n: hard for me to say
(9:02:51 AM) stefan_n: if it helps, that functionality is not exposed in the AS7 Admin Console
Comment 2 Charles Crouch 2012-06-11 11:28:00 EDT
As per 6/4/12 triage, target for jon311
Comment 3 Stefan Negrea 2012-06-12 17:28:32 EDT
Created a generic component to handle templated resources. Path is now a templated resources with __name as a configuration setting.


master branch commits:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=e03cd902cb0c2043feafdf3c0a2555f13e9d4128

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=ba758053aebffb25af2f35fab27a49ee1a942258
Comment 4 Heiko W. Rupp 2013-09-01 06:05:44 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.